| godef

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find GO ontology terms by definition

## Description

godef searches the definition of gene ontology terms and returns matching terms. The input is read from the installed GO database. The ontology term output can be written to screen, to file, or passed to another program. A wide range of standard ontology term formats may be specified for input and output.

Optionally the search can be restricted to specified GO namespaces.

## Usage

Here is a sample session with godef

    % godef glycoprotein
    Find GO ontology terms by definition
    Obo output file [godef.obo]:

Go to the output files for this example

## Command line arguments

    Find GO ontology terms by definition
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-query]             string     Definition word(s) to search for in ontology
                                      (Any string)
      [-outfile]           outobo     [*.godef] Output ontology term file name

       Additional (Optional) qualifiers:
       -namespace          menu       [*] By default all terms are returned.
                                      Searches can be limited to one or a few
                                      namespaces. (Values: biological_process
                                      (Biological process); cellular_component
                                      (Cellular component); molecular_function
                                      (Molecular function))

       Advanced (Unprompted) qualifiers:
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations (GO
                                      sub-classes) of the matched type.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-query] (Parameter 1) | string | Definition word(s) to search for in ontology | Any string |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.godef
Additional (Optional) qualifiers

-namespace

list

By default all terms are returned. Searches can be limited to one or a few namespaces.

biological_process | (Biological process)
cellular_component | (Cellular component)
molecular_function | (Molecular function)

*

Advanced (Unprompted) qualifiers
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (GO sub-classes) of the matched type. | Boolean value Yes/No | No
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Associated qualifiers
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

godef queries the gene ontology.

## Output file format

The output is a standard EMBOSS ontology term file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: obo, brief, list, html, xml, json, excel.

See: http://emboss.sf.net/docs/themes/OntologyFormats.html for further information on ontology formats.

### Output files for usage example

### File: godef.obo

    [Term]
    id: GO:0043256
    name: laminin complex
    namespace: cellular_component
    def: A large, extracellular glycoprotein complex composed of three different polypeptide chains, alpha, beta and gamma. Provides an integral part of the structural scaffolding of basement membranes.
    subset: goslim_pir
    is_a: GO:0043234 ! protein complex
    is_a: GO:0044420 ! extracellular matrix part
    is_a: GO:0044421 ! extracellular region part
    relationship: part_of GO:0005605 ! basal lamina

    [Term]
    id: GO:0038026
    name: reelin-mediated signaling pathway
    namespace: biological_process
    def: A series of molecular signals initiated by the binding of reelin (a secreted glycoprotein) to a receptor on the surface of a target cell, and ending with regulation of a downstream cellular process, e.g. transcription.
    synonym: "reeler-mediated signaling pathway" EXACT [GOC:bf, PR:000013879]
    synonym: "reelin-mediated signal transduction pathway" EXACT [GOC:bf]
    synonym: "reelin-mediated signalling pathway" EXACT [GOC:bf]
    is_a: GO:0007166 ! cell surface receptor signaling pathway
    created_by: rfoulger
    creation_date: 2011-08-02T02:06:18Z

    [Term]
    id: GO:0016011
    name: dystroglycan complex
    namespace: cellular_component
    def: A protein complex that includes alpha- and beta-dystroglycan, which are alternative products of the same gene; the laminin-binding component of the dystrophin-associated glycoprotein complex, providing a link between the subsarcolemmal cytoskeleton (in muscle cells) and the extracellular matrix. Alpha-dystroglycan is an extracellular protein binding to alpha-laminin and to beta-dystroglycan; beta-dystroglycan is a transmembrane protein which binds alpha-dystroglycan and dystrophin.
    is_a: GO:0043234 ! protein complex
    is_a: GO:0044459 ! plasma membrane part
    relationship: part_of GO:0016010 ! dystrophin-associated glycoprotein complex

    [Term]
    id: GO:0010405
    name: arabinogalactan protein metabolic process
    namespace: biological_process
    def: The chemical reactions and pathways involving a cell wall arabinogalactan II glycoprotein, which is composed of a group of core protein of highly varying length and domain complexity. These are O-glycosylated at one or more hydroxyproline residues by arabinogalactan (AG) type II groups, which consist of (1->3)-beta-galactan and (1->6)-beta-linked galactan chains connected to each other by (1->3,1->6)-linked branch points, O-3 and O-6 positions substituted with terminal arabinosyl residues. Also, rhamnose, fucose, glucuronic and galacturonic acid can be present in the glycan structures.
    synonym: "arabinogalactan protein metabolism" EXACT []
    is_a: GO:0010404 ! cell wall hydroxyproline-rich glycoprotein metabolic process

    [Term]
    id: GO:0010404
    name: cell wall hydroxyproline-rich glycoprotein metabolic process
    namespace: biological_process
    def: The chemical reactions and pathways involving a cell wall hydroxyproline-rich glycoprotein that consist of a core-protein backbone O-glycosylated by one or more complex carbohydrates.
    synonym: "cell wall hydroxyproline-rich glycoprotein metabolism" EXACT []
    is_a: GO:0010384 ! cell wall proteoglycan metabolic process

    [Term]
    id: GO:0004569

      [Part of this file has been deleted for brevity]

    def: The chemical reactions and pathways involving chondroitin sulfate proteoglycan, any glycoprotein whose glycosaminoglycan units are chondroitin sulfate. Chondroitin sulfates are a group of 10-60 kDa glycosaminoglycans, widely distributed in cartilage and other mammalian connective tissues; the repeat units consist of beta-(1,4)-linked D-glucuronyl beta-(1,3)-N-acetyl-D-galactosamine sulfate.
    subset: gosubset_prok
    synonym: "chondroitin sulfate proteoglycan metabolism" EXACT []
    synonym: "chondroitin sulphate proteoglycan metabolic process" EXACT []
    synonym: "chondroitin sulphate proteoglycan metabolism" EXACT []
    is_a: GO:0006029 ! proteoglycan metabolic process
    is_a: GO:0006790 ! sulfur compound metabolic process
    is_a: GO:0030203 ! glycosaminoglycan metabolic process
    is_a: GO:0043436 ! oxoacid metabolic process

    [Term]
    id: GO:0046884
    name: follicle-stimulating hormone secretion
    namespace: biological_process
    def: The regulated release of follicle-stimulating hormone, a gonadotropic glycoprotein hormone secreted by the anterior pituitary.
    synonym: "follicle stimulating hormone secretion" EXACT []
    synonym: "follitropin secretion" EXACT []
    synonym: "FSH secretion" EXACT []
    is_a: GO:0032274 ! gonadotropin secretion

    [Term]
    id: GO:0018405
    name: protein-keratan sulfate linkage via keratan sulfate D-glucuronyl-D-galactosyl-D-galactosyl-D-xylosyl-L-threonine
    namespace: biological_process
    def: Keratan sulfate components are covalently linked to a core glycoprotein via O-glycosidic linkages between xylose and threonine residues.
    subset: gosubset_prok
    synonym: "protein-keratan sulphate linkage via keratan sulphate D-glucuronyl-D-galactosyl-D-galactosyl-D-xylosyl-L-threonine" EXACT []
    xref: RESID:AA0247
    is_a: GO:0018210 ! peptidyl-threonine modification

    [Term]
    id: GO:0010408
    name: fasciclin-like arabinogalactan protein metabolic process
    namespace: biological_process
    def: The chemical reactions and pathways involving the cell wall arabinogalactan II glycoprotein variant which contains both an arabinogalactan protein (AGP) motif and a fasciclin domain.
    synonym: "fasciclin-like arabinogalactan protein metabolism" EXACT []
    is_a: GO:0010405 ! arabinogalactan protein metabolic process

    [Term]
    id: GO:0006045
    name: N-acetylglucosamine biosynthetic process
    namespace: biological_process
    def: The chemical reactions and pathways resulting in the formation of N-acetylglucosamine. The D isomer is a common structural unit of glycoproteins in plants, bacteria and animals; it is often the terminal sugar of an oligosaccharide group of a glycoprotein.
    subset: gosubset_prok
    synonym: "N-acetylglucosamine anabolism" EXACT []
    synonym: "N-acetylglucosamine biosynthesis" EXACT []
    synonym: "N-acetylglucosamine formation" EXACT []
    synonym: "N-acetylglucosamine synthesis" EXACT []
    is_a: GO:0006044 ! N-acetylglucosamine metabolic process
    is_a: GO:1901073 ! glucosamine-containing compound biosynthetic process

## Data files

The gene Ontology is included in EMBOSS as local database go.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
goname | Find GO ontology terms by name
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None